diff --git a/textproc/libkomparediff2/pkg-plist b/textproc/libkomparediff2/pkg-plist
index 667f3256b108..5ce1508aa084 100644
--- a/textproc/libkomparediff2/pkg-plist
+++ b/textproc/libkomparediff2/pkg-plist
@@ -4,39 +4,29 @@ include/KompareDiff2/KompareDiff2/DiffModelList
 include/KompareDiff2/KompareDiff2/DiffSettings
 include/KompareDiff2/KompareDiff2/Difference
 include/KompareDiff2/KompareDiff2/DifferenceString
-include/KompareDiff2/KompareDiff2/Kompare
-include/KompareDiff2/KompareDiff2/KompareModelList
+include/KompareDiff2/KompareDiff2/Global
+include/KompareDiff2/KompareDiff2/Info
 include/KompareDiff2/KompareDiff2/Marker
-include/KompareDiff2/KompareDiff2/SettingsBase
+include/KompareDiff2/KompareDiff2/ModelList
 include/KompareDiff2/komparediff2/difference.h
+include/KompareDiff2/komparediff2/differencestring.h
 include/KompareDiff2/komparediff2/diffhunk.h
 include/KompareDiff2/komparediff2/diffmodel.h
 include/KompareDiff2/komparediff2/diffmodellist.h
 include/KompareDiff2/komparediff2/diffsettings.h
-include/KompareDiff2/komparediff2/kompare.h
+include/KompareDiff2/komparediff2/global.h
+include/KompareDiff2/komparediff2/info.h
 include/KompareDiff2/komparediff2/komparediff2_export.h
-include/KompareDiff2/komparediff2/komparemodellist.h
 include/KompareDiff2/komparediff2/marker.h
-include/KompareDiff2/komparediff2/settingsbase.h
+include/KompareDiff2/komparediff2/modellist.h
 include/KompareDiff2/komparediff2_version.h
-include/KompareDiff2/libkomparediff2/diff2_export.h
-include/KompareDiff2/libkomparediff2/diff2_export_p.h
-include/KompareDiff2/libkomparediff2/difference.h
-include/KompareDiff2/libkomparediff2/diffhunk.h
-include/KompareDiff2/libkomparediff2/diffmodel.h
-include/KompareDiff2/libkomparediff2/diffmodellist.h
-include/KompareDiff2/libkomparediff2/diffsettings.h
-include/KompareDiff2/libkomparediff2/kompare.h
-include/KompareDiff2/libkomparediff2/komparemodellist.h
-include/KompareDiff2/libkomparediff2/marker.h
-include/KompareDiff2/libkomparediff2/settingsbase.h
-lib/cmake/LibKompareDiff2/LibKompareDiff2Config.cmake
-lib/cmake/LibKompareDiff2/LibKompareDiff2ConfigVersion.cmake
-lib/cmake/LibKompareDiff2/LibKompareDiff2Targets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/LibKompareDiff2/LibKompareDiff2Targets.cmake
+lib/cmake/KompareDiff2/KompareDiff2Config.cmake
+lib/cmake/KompareDiff2/KompareDiff2ConfigVersion.cmake
+lib/cmake/KompareDiff2/KompareDiff2Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KompareDiff2/KompareDiff2Targets.cmake
 lib/libkomparediff2.so
-lib/libkomparediff2.so.5
-lib/libkomparediff2.so.5.4.0
+lib/libkomparediff2.so.6
+lib/libkomparediff2.so.6.0.0
 share/locale/af/LC_MESSAGES/libkomparediff2.mo
 share/locale/ar/LC_MESSAGES/libkomparediff2.mo
 share/locale/be/LC_MESSAGES/libkomparediff2.mo
@@ -60,10 +50,12 @@ share/locale/fi/LC_MESSAGES/libkomparediff2.mo
 share/locale/fr/LC_MESSAGES/libkomparediff2.mo
 share/locale/ga/LC_MESSAGES/libkomparediff2.mo
 share/locale/gl/LC_MESSAGES/libkomparediff2.mo
+share/locale/he/LC_MESSAGES/libkomparediff2.mo
 share/locale/hi/LC_MESSAGES/libkomparediff2.mo
 share/locale/hne/LC_MESSAGES/libkomparediff2.mo
 share/locale/hr/LC_MESSAGES/libkomparediff2.mo
 share/locale/hu/LC_MESSAGES/libkomparediff2.mo
+share/locale/ia/LC_MESSAGES/libkomparediff2.mo
 share/locale/is/LC_MESSAGES/libkomparediff2.mo
 share/locale/it/LC_MESSAGES/libkomparediff2.mo
 share/locale/ja/LC_MESSAGES/libkomparediff2.mo
@@ -106,4 +98,4 @@ share/locale/uk/LC_MESSAGES/libkomparediff2.mo
 share/locale/xh/LC_MESSAGES/libkomparediff2.mo
 share/locale/zh_CN/LC_MESSAGES/libkomparediff2.mo
 share/locale/zh_TW/LC_MESSAGES/libkomparediff2.mo
-share/qlogging-categories5/libkomparediff2.categories
+share/qlogging-categories6/libkomparediff2.categories
diff --git a/textproc/markdownpart/Makefile b/textproc/markdownpart/Makefile
index 86916e000670..00506917bfba 100644
--- a/textproc/markdownpart/Makefile
+++ b/textproc/markdownpart/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KPart for rendering Markdown content
 WWW=		https://invent.kde.org/utilities/markdownpart
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
-		jobwidgets kio parts service solid sonnet textwidgets widgetsaddons \
-		windowsystem xmlgui \
+		jobwidgets kio parts service solid sonnet textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/textproc/markdownpart/distinfo b/textproc/markdownpart/distinfo
index 93db082c358b..3b924c47743c 100644
--- a/textproc/markdownpart/distinfo
+++ b/textproc/markdownpart/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889407
-SHA256 (KDE/release-service/23.08.5/markdownpart-23.08.5.tar.xz) = 32905b77e393f625c388c414b9e350d8152856e6931566d5f2b8c35ed6d5ebf2
-SIZE (KDE/release-service/23.08.5/markdownpart-23.08.5.tar.xz) = 31544
+TIMESTAMP = 1734460386
+SHA256 (KDE/release-service/24.12.0/markdownpart-24.12.0.tar.xz) = 7a470205fa39b60d81472f1617eb1fe4c8699a061faad090e14a05d23b7bf8f0
+SIZE (KDE/release-service/24.12.0/markdownpart-24.12.0.tar.xz) = 34284
diff --git a/textproc/markdownpart/pkg-plist b/textproc/markdownpart/pkg-plist
index 8d244f32d9b7..410c1ed1f63f 100644
--- a/textproc/markdownpart/pkg-plist
+++ b/textproc/markdownpart/pkg-plist
@@ -1,23 +1,30 @@
-%%QT_PLUGINDIR%%/kf5/parts/markdownpart.so
+%%QT_PLUGINDIR%%/kf6/parts/markdownpart.so
 share/locale/ar/LC_MESSAGES/markdownpart.mo
+share/locale/ast/LC_MESSAGES/markdownpart.mo
 share/locale/ca/LC_MESSAGES/markdownpart.mo
 share/locale/ca@valencia/LC_MESSAGES/markdownpart.mo
 share/locale/cs/LC_MESSAGES/markdownpart.mo
 share/locale/de/LC_MESSAGES/markdownpart.mo
 share/locale/el/LC_MESSAGES/markdownpart.mo
 share/locale/en_GB/LC_MESSAGES/markdownpart.mo
+share/locale/eo/LC_MESSAGES/markdownpart.mo
 share/locale/es/LC_MESSAGES/markdownpart.mo
 share/locale/et/LC_MESSAGES/markdownpart.mo
 share/locale/eu/LC_MESSAGES/markdownpart.mo
 share/locale/fi/LC_MESSAGES/markdownpart.mo
 share/locale/fr/LC_MESSAGES/markdownpart.mo
 share/locale/gl/LC_MESSAGES/markdownpart.mo
+share/locale/he/LC_MESSAGES/markdownpart.mo
 share/locale/hi/LC_MESSAGES/markdownpart.mo
+share/locale/hu/LC_MESSAGES/markdownpart.mo
+share/locale/ia/LC_MESSAGES/markdownpart.mo
+share/locale/ie/LC_MESSAGES/markdownpart.mo
 share/locale/it/LC_MESSAGES/markdownpart.mo
 share/locale/ja/LC_MESSAGES/markdownpart.mo
 share/locale/ka/LC_MESSAGES/markdownpart.mo
 share/locale/ko/LC_MESSAGES/markdownpart.mo
 share/locale/lt/LC_MESSAGES/markdownpart.mo
+share/locale/lv/LC_MESSAGES/markdownpart.mo
 share/locale/nl/LC_MESSAGES/markdownpart.mo
 share/locale/nn/LC_MESSAGES/markdownpart.mo
 share/locale/pl/LC_MESSAGES/markdownpart.mo
@@ -25,6 +32,7 @@ share/locale/pt/LC_MESSAGES/markdownpart.mo
 share/locale/pt_BR/LC_MESSAGES/markdownpart.mo
 share/locale/ro/LC_MESSAGES/markdownpart.mo
 share/locale/ru/LC_MESSAGES/markdownpart.mo
+share/locale/sa/LC_MESSAGES/markdownpart.mo
 share/locale/sk/LC_MESSAGES/markdownpart.mo
 share/locale/sl/LC_MESSAGES/markdownpart.mo
 share/locale/sv/LC_MESSAGES/markdownpart.mo
diff --git a/www/Makefile b/www/Makefile
index 10e391039912..c76542fd0c30 100644
--- a/www/Makefile
+++ b/www/Makefile
@@ -293,6 +293,7 @@
     SUBDIR += katana
     SUBDIR += kcgi
     SUBDIR += kdsoap
+    SUBDIR += kdsoap-ws-discovery-client
     SUBDIR += kf5-khtml
     SUBDIR += kf5-kjs
     SUBDIR += kf5-kjsembed
@@ -1436,7 +1437,6 @@
     SUBDIR += phpvirtualbox
     SUBDIR += phpvirtualbox-legacy
     SUBDIR += piwigo
-    SUBDIR += plasma5-plasma-browser-integration
     SUBDIR += plasma6-plasma-browser-integration
     SUBDIR += pmwiki
     SUBDIR += pnews
diff --git a/www/falkon/Makefile b/www/falkon/Makefile
index e5d74ea22e16..f173e5c058e2 100644
--- a/www/falkon/Makefile
+++ b/www/falkon/Makefile
@@ -9,30 +9,31 @@ WWW=		https://www.falkon.org/
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-USES=		cmake desktop-file-utils kde:5 qt:5 ssl tar:xz xorg
+USES=		cmake desktop-file-utils gettext kde:6 qt:6 ssl tar:xz xorg
 USE_KDE=	archive i18n \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network printsupport \
-		sql webchannel webengine widgets x11extras sql-sqlite3:run \
-		buildtools:build qmake:build
+USE_QT=		base declarative webchannel webengine \
+		sqldriver-sqlite:run
 USE_XORG=	x11 xcb
 
 USE_LDCONFIG=	yes
 
 CMAKE_ON=	CMAKE_DISABLE_FIND_PACKAGE_PySide2
 
-FLAVORS=	default qtonly
-FLAVOR?=	default
+FLAVORS=	kf6 qt6
+FLAVOR?=	kf6
 
-default_CONFLICTS_INSTALL=	${PORTNAME}-qtonly
-qtonly_PKGNAMESUFFIX=		-qtonly
-qtonly_CONFLICTS_INSTALL=	${PORTNAME}
+kf6_CONFLICTS_INSTALL=	${PORTNAME}-qt6
+qt6_PKGNAMESUFFIX=		-qt6
+qt6_CONFLICTS_INSTALL=	${PORTNAME}
 
-.if ${FLAVOR} != qtonly
+.if ${FLAVOR} != qt6
 CMAKE_ON+=	ENABLE_KDE_FRAMEWORKS_INTEGRATION_PLUGIN
-USE_KDE+=	completion config coreaddons crash jobwidgets kio purpose service solid wallet widgetsaddons windowsystem
+USE_KDE+=	completion config coreaddons crash jobwidgets kio purpose \
+		service solid wallet widgetsaddons windowsystem
 PLIST_SUB=	KDEINTEGRATION=""
 .else
+USE_QT+=	5compat
 PLIST_SUB=	KDEINTEGRATION="@comment "
 COMMENT=	Web browser based on WebEngine (no integration with KDE Plasma)
 .endif
diff --git a/www/falkon/distinfo b/www/falkon/distinfo
index ee853aec6f41..44b2d0875047 100644
--- a/www/falkon/distinfo
+++ b/www/falkon/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889409
-SHA256 (KDE/release-service/23.08.5/falkon-23.08.5.tar.xz) = 800a5f1432a6e50f64265eb4bbd8982f445ddd436b5e072f3e49bb4e7183b077
-SIZE (KDE/release-service/23.08.5/falkon-23.08.5.tar.xz) = 2574364
+TIMESTAMP = 1734460387
+SHA256 (KDE/release-service/24.12.0/falkon-24.12.0.tar.xz) = 2b286b381ffba6ff408dcc9ad104ee6ae3fa05b15ee2d73bef45cd315cead877
+SIZE (KDE/release-service/24.12.0/falkon-24.12.0.tar.xz) = 2652572
diff --git a/www/falkon/pkg-plist b/www/falkon/pkg-plist
index 1a118aeaa107..638aaa23ff58 100644
--- a/www/falkon/pkg-plist
+++ b/www/falkon/pkg-plist
@@ -154,10 +154,27 @@ share/locale/ar/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/ar/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/ar/LC_MESSAGES/falkon_qt.qm
 share/locale/ar/LC_MESSAGES/falkon_runaction.mo
+share/locale/ar/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/ar/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/ar/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/ar/LC_MESSAGES/falkon_testplugin_qt.qm
 share/locale/ar/LC_MESSAGES/falkon_verticaltabs_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_autoscroll_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_greasemonkey_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_hellopython.mo
+share/locale/ast/LC_MESSAGES/falkon_helloqml.mo
+share/locale/ast/LC_MESSAGES/falkon_kdeframeworksintegration_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_middleclickloader.mo
+share/locale/ast/LC_MESSAGES/falkon_mousegestures_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_pim_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_runaction.mo
+share/locale/ast/LC_MESSAGES/falkon_statusbaricons_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_tabmanager_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_testplugin_qt.qm
+share/locale/ast/LC_MESSAGES/falkon_verticaltabs_qt.qm
 share/locale/az/LC_MESSAGES/falkon_autoscroll_qt.qm
 share/locale/az/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
 share/locale/az/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
@@ -170,6 +187,7 @@ share/locale/az/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/az/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/az/LC_MESSAGES/falkon_qt.qm
 share/locale/az/LC_MESSAGES/falkon_runaction.mo
+share/locale/az/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/az/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/az/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/az/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -186,6 +204,7 @@ share/locale/bg/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/bg/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/bg/LC_MESSAGES/falkon_qt.qm
 share/locale/bg/LC_MESSAGES/falkon_runaction.mo
+share/locale/bg/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/bg/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/bg/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/bg/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -202,6 +221,7 @@ share/locale/ca/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/ca/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/ca/LC_MESSAGES/falkon_qt.qm
 share/locale/ca/LC_MESSAGES/falkon_runaction.mo
+share/locale/ca/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/ca/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/ca/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/ca/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -218,6 +238,7 @@ share/locale/ca@valencia/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/falkon_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/falkon_runaction.mo
+share/locale/ca@valencia/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -234,6 +255,7 @@ share/locale/cs/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/cs/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/cs/LC_MESSAGES/falkon_qt.qm
 share/locale/cs/LC_MESSAGES/falkon_runaction.mo
+share/locale/cs/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/cs/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/cs/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/cs/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -265,6 +287,7 @@ share/locale/de/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/de/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/de/LC_MESSAGES/falkon_qt.qm
 share/locale/de/LC_MESSAGES/falkon_runaction.mo
+share/locale/de/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/de/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/de/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/de/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -298,17 +321,28 @@ share/locale/en_GB/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/en_GB/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/en_GB/LC_MESSAGES/falkon_qt.qm
 share/locale/en_GB/LC_MESSAGES/falkon_runaction.mo
+share/locale/en_GB/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/en_GB/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/en_GB/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/en_GB/LC_MESSAGES/falkon_testplugin_qt.qm
 share/locale/en_GB/LC_MESSAGES/falkon_verticaltabs_qt.qm
 share/locale/eo/LC_MESSAGES/falkon_autoscroll_qt.qm
+share/locale/eo/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
 share/locale/eo/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
+share/locale/eo/LC_MESSAGES/falkon_greasemonkey_qt.qm
 share/locale/eo/LC_MESSAGES/falkon_hellopython.mo
+share/locale/eo/LC_MESSAGES/falkon_helloqml.mo
 share/locale/eo/LC_MESSAGES/falkon_kdeframeworksintegration_qt.qm
 share/locale/eo/LC_MESSAGES/falkon_middleclickloader.mo
+share/locale/eo/LC_MESSAGES/falkon_mousegestures_qt.qm
+share/locale/eo/LC_MESSAGES/falkon_pim_qt.qm
+share/locale/eo/LC_MESSAGES/falkon_qt.qm
 share/locale/eo/LC_MESSAGES/falkon_runaction.mo
+share/locale/eo/LC_MESSAGES/falkon_sitesettingsview_qt.qm
+share/locale/eo/LC_MESSAGES/falkon_statusbaricons_qt.qm
+share/locale/eo/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/eo/LC_MESSAGES/falkon_testplugin_qt.qm
+share/locale/eo/LC_MESSAGES/falkon_verticaltabs_qt.qm
 share/locale/es/LC_MESSAGES/falkon_autoscroll_qt.qm
 share/locale/es/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
 share/locale/es/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
@@ -321,6 +355,7 @@ share/locale/es/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/es/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/es/LC_MESSAGES/falkon_qt.qm
 share/locale/es/LC_MESSAGES/falkon_runaction.mo
+share/locale/es/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/es/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/es/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/es/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -352,6 +387,7 @@ share/locale/eu/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/eu/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/eu/LC_MESSAGES/falkon_qt.qm
 share/locale/eu/LC_MESSAGES/falkon_runaction.mo
+share/locale/eu/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/eu/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/eu/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/eu/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -377,6 +413,7 @@ share/locale/fi/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/fi/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/fi/LC_MESSAGES/falkon_qt.qm
 share/locale/fi/LC_MESSAGES/falkon_runaction.mo
+share/locale/fi/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/fi/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/fi/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/fi/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -393,6 +430,7 @@ share/locale/fr/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/fr/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/fr/LC_MESSAGES/falkon_qt.qm
 share/locale/fr/LC_MESSAGES/falkon_runaction.mo
+share/locale/fr/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/fr/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/fr/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/fr/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -409,16 +447,45 @@ share/locale/gl/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/gl/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/gl/LC_MESSAGES/falkon_qt.qm
 share/locale/gl/LC_MESSAGES/falkon_runaction.mo
+share/locale/gl/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/gl/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/gl/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/gl/LC_MESSAGES/falkon_testplugin_qt.qm
 share/locale/gl/LC_MESSAGES/falkon_verticaltabs_qt.qm
+share/locale/he/LC_MESSAGES/falkon_autoscroll_qt.qm
+share/locale/he/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
+share/locale/he/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
+share/locale/he/LC_MESSAGES/falkon_greasemonkey_qt.qm
+share/locale/he/LC_MESSAGES/falkon_hellopython.mo
+share/locale/he/LC_MESSAGES/falkon_helloqml.mo
+share/locale/he/LC_MESSAGES/falkon_kdeframeworksintegration_qt.qm
+share/locale/he/LC_MESSAGES/falkon_middleclickloader.mo
+share/locale/he/LC_MESSAGES/falkon_mousegestures_qt.qm
+share/locale/he/LC_MESSAGES/falkon_pim_qt.qm
+share/locale/he/LC_MESSAGES/falkon_qt.qm
+share/locale/he/LC_MESSAGES/falkon_runaction.mo
+share/locale/he/LC_MESSAGES/falkon_sitesettingsview_qt.qm
+share/locale/he/LC_MESSAGES/falkon_statusbaricons_qt.qm
+share/locale/he/LC_MESSAGES/falkon_tabmanager_qt.qm
+share/locale/he/LC_MESSAGES/falkon_testplugin_qt.qm
+share/locale/he/LC_MESSAGES/falkon_verticaltabs_qt.qm
 share/locale/hu/LC_MESSAGES/falkon_autoscroll_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
 share/locale/hu/LC_MESSAGES/falkon_greasemonkey_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_hellopython.mo
+share/locale/hu/LC_MESSAGES/falkon_helloqml.mo
 share/locale/hu/LC_MESSAGES/falkon_kdeframeworksintegration_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_middleclickloader.mo
+share/locale/hu/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/hu/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/hu/LC_MESSAGES/falkon_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_runaction.mo
+share/locale/hu/LC_MESSAGES/falkon_sitesettingsview_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_statusbaricons_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/hu/LC_MESSAGES/falkon_testplugin_qt.qm
+share/locale/hu/LC_MESSAGES/falkon_verticaltabs_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_autoscroll_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
@@ -431,6 +498,7 @@ share/locale/ia/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_runaction.mo
+share/locale/ia/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/ia/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -478,6 +546,7 @@ share/locale/it/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/it/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/it/LC_MESSAGES/falkon_qt.qm
 share/locale/it/LC_MESSAGES/falkon_runaction.mo
+share/locale/it/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/it/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/it/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/it/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -510,6 +579,7 @@ share/locale/ka/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/ka/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/ka/LC_MESSAGES/falkon_qt.qm
 share/locale/ka/LC_MESSAGES/falkon_runaction.mo
+share/locale/ka/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/ka/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/ka/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/ka/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -526,6 +596,7 @@ share/locale/ko/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/ko/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/ko/LC_MESSAGES/falkon_qt.qm
 share/locale/ko/LC_MESSAGES/falkon_runaction.mo
+share/locale/ko/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/ko/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/ko/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/ko/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -548,14 +619,21 @@ share/locale/lt/LC_MESSAGES/falkon_testplugin_qt.qm
 share/locale/lt/LC_MESSAGES/falkon_verticaltabs_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_autoscroll_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
+share/locale/lv/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_greasemonkey_qt.qm
+share/locale/lv/LC_MESSAGES/falkon_hellopython.mo
+share/locale/lv/LC_MESSAGES/falkon_helloqml.mo
 share/locale/lv/LC_MESSAGES/falkon_kdeframeworksintegration_qt.qm
+share/locale/lv/LC_MESSAGES/falkon_middleclickloader.mo
 share/locale/lv/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_qt.qm
+share/locale/lv/LC_MESSAGES/falkon_runaction.mo
+share/locale/lv/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/lv/LC_MESSAGES/falkon_testplugin_qt.qm
+share/locale/lv/LC_MESSAGES/falkon_verticaltabs_qt.qm
 share/locale/nb/LC_MESSAGES/falkon_autoscroll_qt.qm
 share/locale/nb/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
 share/locale/nb/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
@@ -579,6 +657,7 @@ share/locale/nl/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/nl/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/nl/LC_MESSAGES/falkon_qt.qm
 share/locale/nl/LC_MESSAGES/falkon_runaction.mo
+share/locale/nl/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/nl/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/nl/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/nl/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -612,6 +691,7 @@ share/locale/pl/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/pl/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/pl/LC_MESSAGES/falkon_qt.qm
 share/locale/pl/LC_MESSAGES/falkon_runaction.mo
+share/locale/pl/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/pl/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/pl/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/pl/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -648,11 +728,6 @@ share/locale/pt_BR/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/pt_BR/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/pt_BR/LC_MESSAGES/falkon_testplugin_qt.qm
 share/locale/pt_BR/LC_MESSAGES/falkon_verticaltabs_qt.qm
-share/locale/ro/LC_MESSAGES/falkon_autoscroll_qt.qm
-share/locale/ro/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
-share/locale/ro/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
-share/locale/ro/LC_MESSAGES/falkon_greasemonkey_qt.qm
-share/locale/ro/LC_MESSAGES/falkon_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_autoscroll_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_flashcookiemanager_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_gnomekeyringpasswords_qt.qm
@@ -665,6 +740,7 @@ share/locale/ru/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_runaction.mo
+share/locale/ru/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/ru/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -681,6 +757,7 @@ share/locale/sk/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/sk/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/sk/LC_MESSAGES/falkon_qt.qm
 share/locale/sk/LC_MESSAGES/falkon_runaction.mo
+share/locale/sk/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/sk/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/sk/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/sk/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -697,6 +774,7 @@ share/locale/sl/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/sl/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/sl/LC_MESSAGES/falkon_qt.qm
 share/locale/sl/LC_MESSAGES/falkon_runaction.mo
+share/locale/sl/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/sl/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/sl/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/sl/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -753,6 +831,7 @@ share/locale/sv/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/sv/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/sv/LC_MESSAGES/falkon_qt.qm
 share/locale/sv/LC_MESSAGES/falkon_runaction.mo
+share/locale/sv/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/sv/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/sv/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/sv/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -770,6 +849,7 @@ share/locale/tr/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/tr/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/tr/LC_MESSAGES/falkon_qt.qm
 share/locale/tr/LC_MESSAGES/falkon_runaction.mo
+share/locale/tr/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/tr/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/tr/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/tr/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -786,6 +866,7 @@ share/locale/uk/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/uk/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/uk/LC_MESSAGES/falkon_qt.qm
 share/locale/uk/LC_MESSAGES/falkon_runaction.mo
+share/locale/uk/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/uk/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/uk/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/uk/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -802,6 +883,7 @@ share/locale/zh_CN/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/zh_CN/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/zh_CN/LC_MESSAGES/falkon_qt.qm
 share/locale/zh_CN/LC_MESSAGES/falkon_runaction.mo
+share/locale/zh_CN/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/zh_CN/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/zh_CN/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/zh_CN/LC_MESSAGES/falkon_testplugin_qt.qm
@@ -828,6 +910,7 @@ share/locale/zh_TW/LC_MESSAGES/falkon_mousegestures_qt.qm
 share/locale/zh_TW/LC_MESSAGES/falkon_pim_qt.qm
 share/locale/zh_TW/LC_MESSAGES/falkon_qt.qm
 share/locale/zh_TW/LC_MESSAGES/falkon_runaction.mo
+share/locale/zh_TW/LC_MESSAGES/falkon_sitesettingsview_qt.qm
 share/locale/zh_TW/LC_MESSAGES/falkon_statusbaricons_qt.qm
 share/locale/zh_TW/LC_MESSAGES/falkon_tabmanager_qt.qm
 share/locale/zh_TW/LC_MESSAGES/falkon_testplugin_qt.qm
diff --git a/www/kdsoap-ws-discovery-client/Makefile b/www/kdsoap-ws-discovery-client/Makefile
new file mode 100644
index 000000000000..8a1cf463f2ce
--- /dev/null
+++ b/www/kdsoap-ws-discovery-client/Makefile
@@ -0,0 +1,16 @@
+PORTNAME=	kdsoap-ws-discovery-client
+DISTVERSION=	0.3.0
+MASTER_SITES=	KDE/unstable/${PORTNAME}/
+CATEGORIES=	www kde
+
+COMMENT=	Library for finding WS-Discovery devices in the network
+WWW=		https://invent.kde.org/libraries/kdsoap-ws-discovery-client
+MAINTAINER=	kde@FreeBSD.org
+
+LIB_DEPENDS=	libkdsoap-qt6.so:www/kdsoap@qt6
+
+USES=		cmake kde:6 qt:6 tar:xz
+USE_KDE=	ecm:build
+USE_QT=		base
+
+.include <bsd.port.mk>
diff --git a/www/kdsoap-ws-discovery-client/distinfo b/www/kdsoap-ws-discovery-client/distinfo
new file mode 100644
index 000000000000..e5cfb7598ac4
--- /dev/null
+++ b/www/kdsoap-ws-discovery-client/distinfo
@@ -0,0 +1,3 @@
+TIMESTAMP = 1704479841
+SHA256 (kdsoap-ws-discovery-client-0.3.0.tar.xz) = 5007747f1ce607639bb63244f8894c03a15194c0a891b8d85e10d76dbdf79188
+SIZE (kdsoap-ws-discovery-client-0.3.0.tar.xz) = 30948
diff --git a/www/kdsoap-ws-discovery-client/pkg-descr b/www/kdsoap-ws-discovery-client/pkg-descr
new file mode 100644
index 000000000000..f388f17b84b0
--- /dev/null
+++ b/www/kdsoap-ws-discovery-client/pkg-descr
@@ -0,0 +1 @@
+Library for finding WS-Discovery devices in the network using Qt5 and KDSoap.
diff --git a/www/kdsoap-ws-discovery-client/pkg-plist b/www/kdsoap-ws-discovery-client/pkg-plist
new file mode 100644
index 000000000000..21ec654753c1
--- /dev/null
+++ b/www/kdsoap-ws-discovery-client/pkg-plist
@@ -0,0 +1,17 @@
+include/KDSoapWSDiscoveryClient/WSDiscoveryClient
+include/KDSoapWSDiscoveryClient/WSDiscoveryProbeJob
+include/KDSoapWSDiscoveryClient/WSDiscoveryServiceAggregator
+include/KDSoapWSDiscoveryClient/WSDiscoveryTargetService
+include/KDSoapWSDiscoveryClient/kdsoap_wsdiscovery_client_version.h
+include/KDSoapWSDiscoveryClient/wsdiscoveryclient.h
+include/KDSoapWSDiscoveryClient/wsdiscoveryclient_export.h
+include/KDSoapWSDiscoveryClient/wsdiscoveryprobejob.h
+include/KDSoapWSDiscoveryClient/wsdiscoveryserviceaggregator.h
+include/KDSoapWSDiscoveryClient/wsdiscoverytargetservice.h
+lib/cmake/KDSoapWSDiscoveryClient/KDSoapWSDiscoveryClientConfig.cmake
+lib/cmake/KDSoapWSDiscoveryClient/KDSoapWSDiscoveryClientConfigVersion.cmake
+lib/cmake/KDSoapWSDiscoveryClient/KDSoapWSDiscoveryClientTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KDSoapWSDiscoveryClient/KDSoapWSDiscoveryClientTargets.cmake
+lib/libKDSoapWSDiscoveryClient.so
+lib/libKDSoapWSDiscoveryClient.so.0
+lib/libKDSoapWSDiscoveryClient.so.0.3.0
diff --git a/x11-clocks/kteatime/Makefile b/x11-clocks/kteatime/Makefile
index 42bdc708eca5..02f7daa2947b 100644
--- a/x11-clocks/kteatime/Makefile
+++ b/x11-clocks/kteatime/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Handy timer for steeping tea
 WWW=		https://www.kde.org/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash doctools \
 		i18n iconthemes notifications notifyconfig sonnet textwidgets \
 		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
